/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.field.shape.preview;

import java.awt.Color;
import nl.cloudfarming.client.field.model.Shape.ImportType;
import nl.cloudfarming.client.geoviewer.Palette;

/**
 *
 * @author Gerben Feenstra
 */

public class PreviewPanelPalette extends Palette<ImportType> {
    
    public PreviewPanelPalette() {
        super(Color.BLACK);
    }

    public PreviewPanelPalette(Color color) {
        super(color);
    }
    @Override
    public Color getColorForValue(ImportType shapeType) {
        
        if(shapeType.equals(ImportType.SKIP)){
            return Color.GRAY;
        }
        else {
            return new Color(116, 181, 29);
        }
    }
}
